Index · Directives · Python · libudev · gudev systemd 209

## Name

sd_booted — Test whether the system is running the systemd init system

## Synopsis

    #include <systemd/sd-daemon.h>

`int sd_booted(` | void`)`;

## Description

`sd_booted()` checks whether the system was booted up using the systemd init system.

## Return Value

On failure, this call returns a negative errno-style error code. If the system was booted up with systemd as init system, this call returns a positive return value, zero otherwise.

## Notes

These APIs are implemented as a shared library, which can be compiled and linked to with the `libsystemd` pkg-config(1) file.

Internally, this function checks whether the directory `/run/systemd/system/` exists. A simple check like this can also be implemented trivially in shell or any other language.

## See Also

systemd(1), sd-daemon(3)